=== debian/changelog ===
scorecard (0.11) unstable; urgency=low

  * Added statistics view 

 -- Sakari Poussa <spoussa@gmail.com>  Sun, 29 Nov 2009 22:19:00 +0300
