## scorecard 0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 6 22:12:09 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 13 16:25:19 2009
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -11,8 +11,8 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
-CXXFLAGS      = -pipe -Wno-return-type -g -g -O0 -D_REENTRANT -Wall -W $(DEFINES)
+CFLAGS        = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -Wno-return-type -O0 -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4 -Imoc
 LINK          = g++
 LFLAGS        =
