=== debian/changelog ===
scorecard (0.12) unstable; urgency=low

  * Qt dependencies corrected, new colors

 -- Sakari Poussa <spoussa@gmail.com>  Sun, 13 Dec 2009 17:30:00 +0300
