## scorecard 0.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 13 16:25:19 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Dec 28 11:04:18 2009
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -168,7 +168,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/scorecard1.0.0 || $(MKDIR) obj/scorecard1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
 
 
 clean:compiler_clean 
@@ -239,7 +239,8 @@
 		src/table-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
-obj/main-window.o: src/main-window.cpp src/main-window.h \
+obj/main-window.o: src/main-window.cpp src/score-common.h \
+		src/main-window.h \
 		src/data.h \
 		src/table-model.h \
 		src/score-dialog.h \
@@ -249,16 +250,18 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main-window.o src/main-window.cpp
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
-		src/data.h
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
 		src/data.h \
-		src/cell-delegate.h
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
 obj/table-model.o: src/table-model.cpp src/table-model.h \
-		src/data.h
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
 
 obj/stat-model.o: src/stat-model.cpp src/stat-model.h \
@@ -293,4 +296,3 @@
 ####### Install
 
 install_target: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/scorecard/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/scorecard/bin/
