=== debian/changelog ===
scorecard (0.13) unstable; urgency=low

  * More consistent colors in dialog
  * In main view, course data is updated after entering new score 

 -- Sakari Poussa <spoussa@gmail.com>  Mon, 28 Dec 2009 10:30:00 +0300
