## scorecard 0.14

=== debian/changelog ===
scorecard (0.14) unstable; urgency=low

  * Use list view instead of table view in main window for browsing scores
  * Able to browse courses in list view
  * Able delete courses, able to select courses for editing
  * Qt 4.6.2 changes
  * New colors since Qt4.6 does not work well with Maemo5 styling

 -- Sakari Poussa <spoussa@gmail.com>  Tue, 27 Apr 2010 07:30:00 +0300
