=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: scorecard
 Architecture: any
-Depends: libqt4-gui (>= 4.5.3~git20090723) 
+Depends: libqt4-gui (>= 4.6.2~git20100310) 
 Description: Simple golf score card application for N900 to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org
