## scorecard 0.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Dec 28 11:04:18 2009
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 20:05:33 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O0 -D_REENTRANT -Wall -W $(DEFINES)
-CXXFLAGS      = -pipe -Wno-return-type -O0 -D_REENTRANT -Wall -W $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4 -Imoc
+DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -Wno-return-type -g -D_REENTRANT -Wall -W $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Imoc
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -46,27 +47,35 @@
 		src/main-window.cpp \
 		src/score-dialog.cpp \
 		src/course-dialog.cpp \
+		src/settings-dialog.cpp \
 		src/table-model.cpp \
+		src/list-model.cpp \
 		src/stat-model.cpp \
 		src/xml-dom-parser.cpp \
 		src/data.cpp moc/moc_main-window.cpp \
 		moc/moc_score-dialog.cpp \
 		moc/moc_course-dialog.cpp \
+		moc/moc_settings-dialog.cpp \
 		moc/moc_table-model.cpp \
+		moc/moc_list-model.cpp \
 		moc/moc_stat-model.cpp \
 		qrc_scorecard.cpp
 OBJECTS       = obj/main.o \
 		obj/main-window.o \
 		obj/score-dialog.o \
 		obj/course-dialog.o \
+		obj/settings-dialog.o \
 		obj/table-model.o \
+		obj/list-model.o \
 		obj/stat-model.o \
 		obj/xml-dom-parser.o \
 		obj/data.o \
 		obj/moc_main-window.o \
 		obj/moc_score-dialog.o \
 		obj/moc_course-dialog.o \
+		obj/moc_settings-dialog.o \
 		obj/moc_table-model.o \
+		obj/moc_list-model.o \
 		obj/moc_stat-model.o \
 		obj/qrc_scorecard.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
@@ -120,7 +129,7 @@
 	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: scorecard.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: scorecard.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
@@ -138,9 +147,11 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtCore.prl \
+		/usr/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile scorecard.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -160,15 +171,17 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
+/usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile scorecard.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/scorecard1.0.0 || $(MKDIR) obj/scorecard1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/table-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/table-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/score-common.h src/main-window.h src/score-dialog.h src/course-dialog.h src/settings-dialog.h src/table-model.h src/list-model.h src/stat-model.h src/xml-dom-parser.h src/data.h obj/scorecard1.0.0/ && $(COPY_FILE) --parents scorecard.qrc obj/scorecard1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/main-window.cpp src/score-dialog.cpp src/course-dialog.cpp src/settings-dialog.cpp src/table-model.cpp src/list-model.cpp src/stat-model.cpp src/xml-dom-parser.cpp src/data.cpp obj/scorecard1.0.0/ && (cd `dirname obj/scorecard1.0.0` && $(TAR) scorecard1.0.0.tar scorecard1.0.0 && $(COMPRESS) scorecard1.0.0.tar) && $(MOVE) `dirname obj/scorecard1.0.0`/scorecard1.0.0.tar.gz . && $(DEL_FILE) -r obj/scorecard1.0.0
 
 
 clean:compiler_clean 
@@ -187,11 +200,12 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
+compiler_moc_header_make_all: moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_table-model.cpp moc/moc_stat-model.cpp
+	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
 		src/table-model.h \
+		src/list-model.h \
 		src/main-window.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/main-window.h -o moc/moc_main-window.cpp
 
@@ -203,9 +217,16 @@
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
+moc/moc_settings-dialog.cpp: src/settings-dialog.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/settings-dialog.h -o moc/moc_settings-dialog.cpp
+
 moc/moc_table-model.cpp: src/data.h \
 		src/table-model.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/table-model.h -o moc/moc_table-model.cpp
+
+moc/moc_list-model.cpp: src/data.h \
+		src/list-model.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) src/list-model.h -o moc/moc_list-model.cpp
 
 moc/moc_stat-model.cpp: src/data.h \
 		src/stat-model.h
@@ -236,13 +257,15 @@
 
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
-		src/table-model.h
+		src/table-model.h \
+		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
 obj/main-window.o: src/main-window.cpp src/score-common.h \
 		src/main-window.h \
 		src/data.h \
 		src/table-model.h \
+		src/list-model.h \
 		src/score-dialog.h \
 		src/course-dialog.h \
 		src/stat-model.h \
@@ -259,40 +282,16 @@
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
+obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
+
 obj/table-model.o: src/table-model.cpp src/table-model.h \
 		src/data.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
 
-obj/stat-model.o: src/stat-model.cpp src/stat-model.h \
-		src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/stat-model.o src/stat-model.cpp
-
-obj/xml-dom-parser.o: src/xml-dom-parser.cpp src/xml-dom-parser.h \
-		src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/xml-dom-parser.o src/xml-dom-parser.cpp
-
-obj/data.o: src/data.cpp src/data.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/data.o src/data.cpp
-
-obj/moc_main-window.o: moc/moc_main-window.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_main-window.o moc/moc_main-window.cpp
-
-obj/moc_score-dialog.o: moc/moc_score-dialog.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_score-dialog.o moc/moc_score-dialog.cpp
-
-obj/moc_course-dialog.o: moc/moc_course-dialog.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_course-dialog.o moc/moc_course-dialog.cpp
-
-obj/moc_table-model.o: moc/moc_table-model.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_table-model.o moc/moc_table-model.cpp
-
-obj/moc_stat-model.o: moc/moc_stat-model.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_stat-model.o moc/moc_stat-model.cpp
-
-obj/qrc_scorecard.o: qrc_scorecard.cpp 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/qrc_scorecard.o qrc_scorecard.cpp
-
-####### Install
-
-install_target: first FORCE
+obj/list-model.o: src/list-model.cpp src/list-model.h \
+		src/data.h \
+		src/score-common.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/list-model.o src/list-model.cpp
+
