=== debian/changelog ===
scorecard (0.15) unstable; urgency=low

  * Added non-volatile settings for hcp, home club and default course usage
  * User added courses won't be overwritten (club.xml)
  * Master course file delivered during install (club-master.xml)
  * Maemo5 info notes for errors and info
  * Maemo5 style buttons (via QDialogButtonBox)
  * Apply style sheet in all windows and dialogs

 -- Sakari Poussa <spoussa@gmail.com>  Wed, 12 May 2010 00:09:14 +0300
