## scorecard 0.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 20:05:33 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 16 21:45:26 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DWANT_DEBUG -DDATADIR=\"/opt/scorecard/data\" -DPKGDATADIR=\"\" -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
 CXXFLAGS      = -pipe -Wno-return-type -g -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Imoc
@@ -204,6 +204,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
+		src/score-common.h \
 		src/table-model.h \
 		src/list-model.h \
 		src/main-window.h
@@ -217,7 +218,9 @@
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
-moc/moc_settings-dialog.cpp: src/settings-dialog.h
+moc/moc_settings-dialog.cpp: src/data.h \
+		src/score-common.h \
+		src/settings-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/settings-dialog.h -o moc/moc_settings-dialog.cpp
 
 moc/moc_table-model.cpp: src/data.h \
@@ -257,6 +260,7 @@
 
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
+		src/score-common.h \
 		src/table-model.h \
 		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
@@ -268,13 +272,15 @@
 		src/list-model.h \
 		src/score-dialog.h \
 		src/course-dialog.h \
+		src/settings-dialog.h \
 		src/stat-model.h \
 		src/xml-dom-parser.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main-window.o src/main-window.cpp
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
 		src/data.h \
-		src/score-common.h
+		src/score-common.h \
+		src/table-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
@@ -282,16 +288,11 @@
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
-obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h
+obj/settings-dialog.o: src/settings-dialog.cpp src/settings-dialog.h \
+		src/data.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
 
 obj/table-model.o: src/table-model.cpp src/table-model.h \
 		src/data.h \
 		src/score-common.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/table-model.o src/table-model.cpp
-
-obj/list-model.o: src/list-model.cpp src/list-model.h \
-		src/data.h \
-		src/score-common.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/list-model.o src/list-model.cpp
-
