=== debian/changelog ===
scorecard (0.16) unstable; urgency=low

  * Fixed few crashes when edit/delete score/course
  * Fixed memory leaks when open/close new windows

 -- Sakari Poussa <spoussa@gmail.com>  Wed, 16 May 2010 23:34:14 +0300
