=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: scorecard
-Section: user/other 
+Section: user/utilities 
 Priority: optional
 Maintainer: Sakari Poussa (spoussa@gmail.com)
 Build-Depends: debhelper (>= 5), libqt4-dev
