## scorecard 0.17

=== debian/changelog ===
scorecard (0.17) unstable; urgency=low

  * Score sort order can be selected from settings
  * Home Club setting is used when entering new score
  * Score view shows how many shots you went over (or under ;)
  * Bigger fonts (20pt)
  * Added bug tracker link to debian pkg - ready for extras testing

 -- Sakari Poussa <spoussa@gmail.com>  Fri, 28 May 2010 00:00:59 +0300
