=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: Simple golf score card application for N900 to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org 
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622
 XB-Maemo-Display-Name: ScoreCard
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
