## scorecard 0.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bin/scorecard
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 16 21:45:26 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 18:22:24 2010
 # Project:  scorecard.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile scorecard.pro
@@ -205,16 +205,20 @@
 	-$(DEL_FILE) moc/moc_main-window.cpp moc/moc_score-dialog.cpp moc/moc_course-dialog.cpp moc/moc_settings-dialog.cpp moc/moc_table-model.cpp moc/moc_list-model.cpp moc/moc_stat-model.cpp
 moc/moc_main-window.cpp: src/data.h \
 		src/score-common.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h \
 		src/main-window.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/main-window.h -o moc/moc_main-window.cpp
 
 moc/moc_score-dialog.cpp: src/data.h \
+		src/table-model.h \
 		src/score-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/score-dialog.h -o moc/moc_score-dialog.cpp
 
 moc/moc_course-dialog.cpp: src/data.h \
+		src/table-model.h \
 		src/course-dialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) src/course-dialog.h -o moc/moc_course-dialog.cpp
 
@@ -261,17 +265,19 @@
 obj/main.o: src/main.cpp src/main-window.h \
 		src/data.h \
 		src/score-common.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o src/main.cpp
 
 obj/main-window.o: src/main-window.cpp src/score-common.h \
 		src/main-window.h \
 		src/data.h \
-		src/table-model.h \
+		src/score-dialog.h \
+		src/table-model.h \
+		src/course-dialog.h \
 		src/list-model.h \
-		src/score-dialog.h \
-		src/course-dialog.h \
 		src/settings-dialog.h \
 		src/stat-model.h \
 		src/xml-dom-parser.h
@@ -279,12 +285,13 @@
 
 obj/score-dialog.o: src/score-dialog.cpp src/score-dialog.h \
 		src/data.h \
-		src/score-common.h \
-		src/table-model.h
+		src/table-model.h \
+		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/score-dialog.o src/score-dialog.cpp
 
 obj/course-dialog.o: src/course-dialog.cpp src/course-dialog.h \
 		src/data.h \
+		src/table-model.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/course-dialog.o src/course-dialog.cpp
 
@@ -292,7 +299,3 @@
 		src/data.h \
 		src/score-common.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/settings-dialog.o src/settings-dialog.cpp
-
-obj/table-model.o: src/table-model.cpp src/table-model.h \
-		src/data.h \
-		src/score-common.h
