=== debian/changelog ===
scorecard (0.18) unstable; urgency=low

  * When sorting on scores list best first
  * Use numbers not strings when sorting total scores
  * Tune description

 -- Sakari Poussa <spoussa@gmail.com>  Fri, 28 May 2010 12:40:59 +0300
