=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: scorecard
 Architecture: any
 Depends: libqt4-gui (>= 4.6.2~git20100310) 
-Description: Simple golf score card application for N900 to keep track of your golf scores
+Description: N900 application to keep track of your golf scores
  .
  Further Information: http://scorecard.garage.maemo.org 
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622
