=== debian/changelog ===
scorecard (0.19) unstable; urgency=low

  * Store user data in MyDocs directory
  * New icon
  * Turn off trace debug

 -- Sakari Poussa <spoussa@gmail.com>  Mon, 21 Jun 2010 22:00:00 +0300
