## scorecard 0.20

=== debian/changelog ===
scorecard (0.20) unstable; urgency=low

  * Backup works now
  * Faster editing of HCP values. Also keep correct row in HCP edits.
  * No commas in club and score names

 -- Sakari Poussa <spoussa@gmail.com>  Thu, 15 Jul 2010 22:00:00 +0300
