=== debian/control ===
Source: scorecard
Section: user/utilities 
Priority: optional
Maintainer: Sakari Poussa (spoussa@gmail.com)
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: scorecard
Architecture: any
Depends: libqt4-gui (>= 4.6.2~git20100310) 
Description: N900 application to keep track of your golf scores
 .
 Further Information: http://scorecard.garage.maemo.org 
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=622
XB-Maemo-Display-Name: ScoreCard
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAwM
 SURBVHjaYvz//z8DNmAdJYYhBlIrJMCSqaloUyMjrizw798/BiZGRoYz1w6e
 uXbvqj0HGycDLcDRZa9wygEEEAspBoE88Pcfg1C8X5WUjoYhXLx/bq3oiUsn
 BRm4/79nYWFlYGZiZmBkZGKgBwAIIBZSNTAC/fHr948/ML0gT9kae6mzsLCc
 vfng4v57T28cfffx5Zmfv7/cAnrkBwszKwMT2EOMNPEAQACxUGrAnz9/GNSV
 dJlMDCwVf//+o/jy9fOkG3cv/Dp/4+itWw8u7X34/NaJD5/fnP399+c9oGf+
 MoM8BIwdankIIIBYqGHIn7+/wTQrKwuDjJQsCLO52PrqfP/+Q+f5yyf5V26f
 /nbx5vGLtx9d2ff4xd2Tn7+9P//3358nrODkxgKMISZI3JIBAAKIhZbpk5OT
 g0FJQQWEufxcIy0/f/5s+eT5QwagZz5evnXq1N3HV/c9e/PgzJfvny4y/P/3
 moWFjYGZmQUcQ8QCgABiYaAj4OXlZdDk1WHQVNPhj2BIdX3//p3rg6d3GM5f
 P/rq2p2zh+49uX7oxbvHZ//8/XOOhZnlBzFmAgQQXT2ADgQFhYDYjMFQx0yM
 4R9DyKu3r0LuPrr+d8GG7sVnbxxKZmfl+EfIDIAAYmIYLADoEjFRMQZLY3tm
 bWUTo1+/fhLlNoAAGjweQAK/fv8kupQCCCCWweDgb1+/MTx99Yjh5r1LH6/d
 PXf16IXt8zjZuf4QoxcggAbEAz++/2B49uoxw637l75cvXP+2rW7Z87fe3rt
 yLcfnw/++vPzGRsrx19WYH3xn+E/QbMAAoguHvj18zfDc5CDH1z5du3OuVtA
 B5+98+Tq0S/fPgId/OMRsMb+AytCuYB1A7iGJ8LxIAAQQFTxAHq75/evPwwv
 Xj9luPPw6g+gg29fvXv27O1Hl44DK7ADwPT9gJGJ6Re4EmNmAjqYhyK7AQKI
 hXLHMzL8/v2L4fnLZwy3ISF8F5iOL918dOHkx89v9wFD+A4jA+NPVlY2cI3L
 ycFN1dgFCCCKPQBsxDHsPLz6+fxN3U3fvn/e+xOYJIAJ4CcbCzvEwezcNE2e
 AAFElSR07ubuLy/ePJzBzysEdDAn2e0acgBAAFGlHgA2l5mAmZAFkhcY6Vqi
 AQQQ3YtRWA8QUk9R7lmAAKKLB/78+c0ALN/lgY5XZ2fjkABFGjDjv/33/98d
 Vha2W0D8l9z+AUAA0dQDv//8Zvrz91eAnKRKgraKqb28pAqfiIAkuOQCllAM
 T17d+3Ht3rlzdx5eWfHv3/+lQM+9I9UOgACimQe+//yqIiEi0x/kkuzjYh7M
 IMgnxsDOxs7AzALsXgLh33//gBXcD46vPz9bnbq012rFjmlp1+9dLAQ2IfaQ
 EhsAAUQTD3z78dXIQMN8VWFsl7KqnC4DKxsLAwsrM5rFTAzsHDwMXH84Gdys
 whiMtOx0Zqxu3LL90MpUdjbOxcR6AiCAqOUBUM4EN75+/PwuC3T8mtr0WYrS
 YvIM7JyseDWCYgSE+f8IMeRFtLMDe2NzNh9Y+oyLg2cvMRYDBBATlZzP9Of3
 P7Uf33+6CvAKzcuJbCHK8cgA2EcG1uh/GVKDa9n01c3n/fz5XYIYfQABRI4H
 MHpJHFzs8rKqvOdVjPh2pcTkuKjLG5HkeNDIxo8fPxiYWZkYmP+zMcT6FMqx
 srFl/v9PsEPGABBAJHsAmPc4gUU5SgI1sTBgNnEV57KwV2ew1PFkYGdnJcnM
 L1++QOoHIP7w8R2DhpwRg6GmdfLPXz8FCekFCCCiPQAy/++ff0nMbCwZ7JzM
 KDkSVAH//vuTQZxDl4GfTQaYaZmJdvzPnz/BoQ9qN/3+9YvhD7Bh+Pv3PwYD
 dStpYLIyI6QfIICI8sC/v/+FgeYvVTcWnmvqLi3GzsmCkYX//fvLIMGnycDJ
 xkt0BQsaW/38+TO8dv729Ss4pID9YQYlGU0Gbk4eTVxjtzAAEEAsRDhemo2T
 eY2+rZiFpAIXwx9gXxvdUFDng5mRlYGThR/o+P9Eh/7Hjx+Bof0bHPqgWADF
 BrCvALTzLwMvlyCw3uAQ/P7jG14zAAKIBX8I/edhZWdeZuwoYSEmwwUMGWBJ
 +Y8R56ApKeDTp0/wpPMX6OCvwJhANuvP3z8M///9/0vIHIAAYsFbsv9naNSx
 ELEDOf73r394BnwZgZ79w/DzD9AR/xkJNuZAjv/27Ru4SQHifwbGBKgkglVe
 LEwsDB+/vmH48fsHI6FRboAAwin79+8/bUlFngxpFV5gxiJcnIEsevH5BtDS
 r3iLy/fv38MdD44JoOPBSQdW8wI9xARMjp/Z7wLL5+/R//8zCuGzFyCAcHoA
 2MRPl9fg52JiYmT4T0SyZmFiY3jy6QLDu6+PGX7/xIz579+/M7x79w7sWMhg
 LgPDZ1AyAoojNxuADmZg4WRkePLtNIOIHLsqsNbxwGcvQADh9AAXL4sFvzA7
 qOgksm/MzPDpx2uGB1+OAh31G6WYBDn8w4cP4FKHCVgCg9L8R2BMfEeKCVi6
 5WDnYXj24yLD7ZdnGISluBhY2Bn98NkLEEA48wCvILsSCysTNDMQB0Al0dmn
 qxjkeMyATQMVhr//fwIz/i9orw1Sev0AOvoLMMOCPIHueMb/LAzsvEwMe69M
 BxelbJwcQA/8dsZnJ0AAMeFuZDGygcz/T0LJwsTIwvDp+xuGw08mM3wGxsbP
 b5CMCZpHA3nkEzAWPgIxuuP/g6t2VgZBYSGGvY8mAkP/FAMbCwesksQ78QYQ
 QDg98PPb3w//0doMoPzAzMLEgK2lCxrjYWJmZOBg4WK4/eoEw/qbVQyfGZ6D
 2zYf339keP/mLTy9wxwPMh+Uv7g5BRj4RDgYdj7qZDh8ZynQ8Vzw2v/fb4Zn
 +DwAEEA4k9DnDz+v//j2V5aTmwUSQkA7v3z8yfDqKTAE1VC1vX3xg+HG1RcM
 8opSDIxsf4Gx8J3h6bvdDA9f32Swk05nUBezYRAQFGH48+s3uHwHe5iJGdjk
 YGP4/f8Hw4O3ZxkOXJ7J8PjLObDjQcUyqPT88fEfsED4vwmfBwACCKcHgI7f
 /ubZNzd5TX6Gf7/+g0Pt+eNPDPdvvWdYxzuXQfaKCgOotQiawDt9+QjD43tf
 gbXqCwZRJXawhznZuBnu3X7EcGp/MYOMqDKDubYbg7yYBgM3Oz84P3z/9YXh
 xbsHDKeu72a4/fgiAzM7A4O8tgADExuw1PsHGTD78OwvsBBhwOsBgABixNXW
 sAwX5ecVYj9n6SWlxM7ODDb079//DG9efmF49eo9w9dvP4AO/gMOKTZg65OH
 j4OBSxCYjFigGYcRHP0MXz78Yfj26SewnfMd2AdjZWBlZgNLAvvKDH/+/WTg
 4GBn4ORhZ+AWYGVg54akaGA9xvD9/X+Gu8d+7AJ6wOvY8lc4a2SAAGLBXQ8w
 fvz05mfFzXPvVmpZCDH+/vMXXBFxAKsVMR5Ohp+/oUkLnNEg6RrY9EDkeiDN
 BGxVC4izMvCLAdX+44ameUi6Z2QEjdzxgZMmIxOkRgaHPNAPoDnDZ1d+ff7z
 838ZMEDwNicAAogFf3ePcfXDax8Nfv3/USWuzgIux0GOBGdEKAS79R+O0eT/
 4MYgUrMboQe5mf4fqgaYGkFJhuHx+V9/P7/+mwl0/EVCJR9AAOFvjUJCp/r5
 9Z9MwNq1QlKTlYGFDdha/MNAHviPqxKEJJufn/8zPLn06+unF/+ygY5fSoyR
 AAHERLiGBReflW/u/k26d/zX088v/4GjGWQhpXPVMIeDYuHtg78Md47+vPDp
 5T8foNhCYs0ACCDiRiUgFs3/+u7f/nsnflbxSzKHC8ky83ELMzOA8ySkNwih
 cYU0I7TFzQhJ5+CBr+/ATP76L9Dxf55+eftvLtBDfcBk9JGUQAAIIJKGVYCG
 PwA6Lu3Dk7+TPj7/m8TJy+jNJ8GiBip92HmBjTBgEQhKx4wsDEitS0iFBcw+
 wPwAdPQPYHPi0z8GYGD8/vTi78WfX/9vAKpaANT3lJxYBAgg0seFILFxBeiw
 ou+f/td8+/DbCmi5I1BMl42LSZmNm1ES2ABjYmaBli7ADArKmECH//755d+j
 Pz/+3wXyLwALg13ApHkRqPc3JckQIMAAk6PyG5YPAiMAAAAASUVORK5CYII=
